<?php
session_start();
error_reporting(0);

date_default_timezone_set('america/mexico_city');
include "../js/conectpoo.php";

switch($_GET['op']){

case '44':{
$cliente=$_GET['cliente'];

$kuery ="SELECT * FROM `proyectos` WHERE `id_cliente` = $cliente";
$objeto= new db();
$datosbanner=$objeto->consultaregistros($kuery);
    for($x=0;$x<count($datosbanner);$x++){
		$id_proyectos =  $datosbanner[$x]['id_proyectos'];
		$id_cliente =  $datosbanner[$x]['id_cliente'];
		$nombre =  $datosbanner[$x]['nombre'];
		$fecha =  $datosbanner[$x]['fecha'];

		$resp.=<<<jjj
$id_proyectos * $nombre -
jjj;
	}
$resp = substr($resp, 0, -2);
$contenido = $resp;
}break;


case '93':{
$tipo=$_GET['tipo'];
$fechai=$_GET['fechai'];
$fechaf=$_GET['fechaf'];
    
$idcliente=$_GET['idcliente'];
$idlinea=$_GET['idlinea'];
$idproyecto=$_GET['idproyecto'];
    
if($idcliente >0){
    if($idlinea>0){
        $filtros=" AND proyectos.id_cliente=$idcliente AND proyectos.idlineadenegocio=$idlinea";    
    }else{
        if($idproyecto>0){
            $filtros=" AND proyectos.id_cliente=$idcliente AND proyectos.id_proyectos=$idproyecto"; 
        }else{
            $filtros=" AND proyectos.id_cliente=$idcliente";
        }
    }
}else{
    $filtros='';
}

if($tipo=='comprobable'){
    $kuery ="SELECT SUM(montoreal) AS totalIngresos FROM `ingresos` INNER JOIN proyectos ON proyectos.cc=id_cc WHERE fecha_real BETWEEN '$fechai' AND '$fechaf' AND ingresos.id_cc>0 AND comprobable='SI'".$filtros;
}else if($tipo=='no comprobable'){
    $kuery ="SELECT SUM(montoreal) AS totalIngresos FROM `ingresos` INNER JOIN proyectos ON proyectos.cc=id_cc WHERE fecha_real BETWEEN '$fechai' AND '$fechaf' AND ingresos.id_cc>0 AND comprobable='NO'".$filtros;
}else{
    $kuery ="SELECT SUM(montoreal) AS totalIngresos FROM `ingresos` INNER JOIN proyectos ON proyectos.cc=id_cc WHERE fecha_real BETWEEN '$fechai' AND '$fechaf' AND ingresos.id_cc>0".$filtros;
}

$objeto= new db();
$resultado=$objeto->consultaregistros($kuery);    
$contenido = $resultado[0]['totalIngresos']; 
}break;


case '94':{
$tipo=$_GET['tipo'];
$fechai=$_GET['fechai'];
$fechaf=$_GET['fechaf'];
    
$idcliente=$_GET['idcliente'];
$idlinea=$_GET['idlinea'];
$idproyecto=$_GET['idproyecto'];
    
if($idcliente >0){
    if($idlinea>0){
        $filtros=" AND proyectos.id_cliente=$idcliente AND proyectos.idlineadenegocio=$idlinea";    
    }else{
        if($idproyecto>0){
            $filtros=" AND proyectos.id_cliente=$idcliente AND proyectos.id_proyectos=$idproyecto"; 
        }else{
            $filtros=" AND proyectos.id_cliente=$idcliente";
        }
    }
}else{
    $filtros='';
}

if($tipo=='comprobable'){
    $kuery ="SELECT SUM(monto_real) AS total FROM `egreso` INNER JOIN proyectos ON egreso.id_cc=proyectos.cc WHERE fecha_real BETWEEN '$fechai' AND '$fechaf' AND comprobable='SI' AND id_cc>0".$filtros;
    
    $kueryDT ="SELECT SUM(monto_real) AS total FROM `egreso` INNER JOIN proyectos ON egreso.id_cc=proyectos.cc WHERE fecha_real BETWEEN '$fechai' AND '$fechaf' AND comprobable='NO' AND id_cc>0 AND clasificacionegreso like 'DIRECTO%'".$filtros;
    
}else if($tipo=='no comprobable'){
    $kuery ="SELECT SUM(monto_real) AS total FROM `egreso` INNER JOIN proyectos ON egreso.id_cc=proyectos.cc WHERE fecha_real BETWEEN '$fechai' AND '$fechaf' AND comprobable='NO' AND id_cc>0".$filtros;
    
    $kueryDT ="SELECT SUM(monto_real) AS total FROM `egreso` INNER JOIN proyectos ON egreso.id_cc=proyectos.cc WHERE fecha_real BETWEEN '$fechai' AND '$fechaf' AND comprobable='SI' AND id_cc>0 AND clasificacionegreso like 'DIRECTO%'".$filtros;
    
}else{
    $kuery ="SELECT SUM(monto_real) AS total FROM `egreso` INNER JOIN proyectos ON egreso.id_cc=proyectos.cc WHERE fecha_real BETWEEN '$fechai' AND '$fechaf' AND id_cc>0".$filtros;
    
    $kueryDT = '';
}
    
$clasificacion=" AND clasificacionegreso like 'DIRECTO%'";

$objeto= new db();
$kuery2 = $kuery." AND tdegasto='Administrativo'".$clasificacion;
$resultado = $objeto->consultaregistros($kuery2);
$resp = $resultado[0]['total'];

$objeto= new db();
$kuery2 = $kuery." AND tdegasto='Operativo'".$clasificacion;
$resultado2 = $objeto->consultaregistros($kuery2);
$resp = $resp.",".$resultado2[0]['total'];

$objeto= new db();
$kuery2 = $kuery." AND tdegasto='Financiero'".$clasificacion;
$resultado3 = $objeto->consultaregistros($kuery2);
$resp = $resp.",".$resultado3[0]['total'];

$objeto= new db();
$kuery2 = $kuery." AND tdegasto='Ventas'".$clasificacion;
$resultado4 = $objeto->consultaregistros($kuery2);
$resp = $resp.",".$resultado4[0]['total'];


if($tipo=='comprobable'){
    $kuery ="SELECT SUM(monto_real) AS total FROM `egreso` WHERE fecha_real BETWEEN '$fechai' AND '$fechaf' AND comprobable='SI'";
    $kueryIT ="SELECT SUM(monto_real) AS total FROM `egreso` WHERE fecha_real BETWEEN '$fechai' AND '$fechaf' AND comprobable='NO' AND clasificacionegreso like 'INDIRECTO%'";
    
}else if($tipo=='no comprobable'){
    $kuery ="SELECT SUM(monto_real) AS total FROM `egreso` WHERE fecha_real BETWEEN '$fechai' AND '$fechaf' AND comprobable='NO'";
    $kueryIT ="SELECT SUM(monto_real) AS total FROM `egreso` WHERE fecha_real BETWEEN '$fechai' AND '$fechaf' AND comprobable='SI' AND clasificacionegreso like 'INDIRECTO%'";
    
}else{
    $kuery ="SELECT SUM(monto_real) AS total FROM `egreso` WHERE fecha_real BETWEEN '$fechai' AND '$fechaf'";
    $kueryIT = '';
}    
    
$clasificacion=" AND clasificacionegreso like 'INDIRECTO%'";

$objeto= new db();
$kuery2 = $kuery." AND tdegasto='Administrativo'".$clasificacion;
$resultado5 = $objeto->consultaregistros($kuery2);
$resp = $resp.",".$resultado5[0]['total'];

$objeto= new db();
$kuery2 = $kuery." AND tdegasto='Operativo'".$clasificacion;
$resultado6 = $objeto->consultaregistros($kuery2);
$resp = $resp.",".$resultado6[0]['total'];

$objeto= new db();
$kuery2 = $kuery." AND tdegasto='Financiero'".$clasificacion;
$resultado7 = $objeto->consultaregistros($kuery2);
$resp = $resp.",".$resultado7[0]['total'];

$objeto= new db();
$kuery2 = $kuery." AND tdegasto='Ventas'".$clasificacion;
$resultado8 = $objeto->consultaregistros($kuery2);
$resp = $resp.",".$resultado8[0]['total'];

if($kueryDT ==''){
    $resp = $resp.",0";
}else{
    $objeto= new db();
    $resultado9 = $objeto->consultaregistros($kueryDT);
    $resp = $resp.",".$resultado9[0]['total'];
}
        
if($kueryIT ==''){
    $resp = $resp.",0";
}else{
    $objeto= new db();
    $resultado10 = $objeto->consultaregistros($kueryIT);
    $resp = $resp.",".$resultado10[0]['total'];
}

    
$contenido = $resp; 
}break; 


}

echo $contenido;


?>
